<?xml version="1.0"?>
<ArrayOfFBEvent xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-08-24T00:14:31Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment>Tested with datapro versions 4.0.1171.50996,4.2.454.51002 and 4.3.206.50891, and verified Iso test  dropdown Menu is populated with test objects as expected at run test basic info step when test is set to export to iso ...


Verified original issue seen by customer with Datapro version 4.0.1141



Tested as follows:



1.System Settings&gt;Channel Code settings Show ISO codes checked...
2. Create a test setup with das  for circ buffer  add 4 channels with iso codes   ( first   character of iso code is the test object ) Add  4 channels , 2 of which have the same  test object and 2 more with the second test object . , Check the Export Data  box and choose  The iso  format  
3. In the  Iso Export step of test setup    set the Velocity and Mass of test object 1 to valid values and repeat for test object 2.
4. Save Test Setup and run test .. verify that in run test basic info  that the dropdown menu for test object info is populated with all test objects in the test , also verified the mass and velocity settings match those set in test setup for each object .
5. Change  the mass and velocity values  in the run test basic info step .. and then run test and arm &gt; trigger , download data and navigate to the export step and verify the  mass and velocity values for the test objects int the export   window match those set in run test &gt; basic info step ..


 
</Comment>
    <StatusString>Closed</StatusString>
    <TimeStamp>2024-07-08T18:43:12Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Closed</Status>
  </FBEvent>
  <FBEvent>
    <User>Justin Richardson</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-07-08T18:19:09Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>ReleaseNoted</StatusString>
    <TimeStamp>2024-06-04T18:18:01Z</TimeStamp>
    <ReleaseNote>Corrects an issue where ISO meta data at run test basic information wasn't populated</ReleaseNote>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-06-04T17:14:42Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-28T15:44:58Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>4.0/4.2/4.3@50830</Comment>
    <StatusString>Resolved</StatusString>
    <TimeStamp>2024-05-28T15:43:46Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Resolved</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-22T18:40:57Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>Jerry, John,
 
 
 
I’ve submitted a patch for
 
 
 
39329: No ISO test object drop down at run test step - Manuscript (dts.local)
 
 
 
In 4.0 MAINT.
 
 
 
This one is a super easy patch to review … BUT … it carries that potential of re-introducing other issues.
 
 
 
The way I tested this is I setup a test setup with 4 channels with isocodes, only the first two characters of the iso codes really matter:
 
 
 
This gave me to ISO test objects (1 and 2)
 
 
 
 
 
 
I added ISO export to the test setup, then I modified the iso export options for both groups
 
 
 
The first group I set velocity and mass to 11, and the second one I set it to 22
 
 
When I ran the test I verified I saw 11 and 22, and then further changed them to 12 and 23 and ran all the way to export, and verified the export tab had 12 and 23 and not 11 nor 22.
 
 
 
This seems to happen because it’s skipping all the test objects in the test setup – by removing one line it seems to work properly – however that line was added for issue
 
33054: Crash when exporting data from Group with multiple ISO Test Objects - Manuscript (dts.local)
 
So that issue will need to be retested as the line was added for that issue implicitly.
 
The only file changed is BasicInfo and it's only a 1 line change, but the line in question was added for another issue, so I'll re-activate that issue for testing too (in my testing the change did not cause an issue with the older issue)</Comment>
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-05-22T00:30:23Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-21T18:17:49Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-21T16:05:26Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-20T18:34:59Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>this patch fixes half the issue - it now displays the test objects properly, however it doesn't commit the test setup and so your changes in run test aren't reflected when you hit the export tab as it will load what's in the test setup in the database.
 
I rejected this patch as I found a simpler solution</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-20T18:34:52Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>There appears to be two controls that hold this iso export data.  it seems the other one should probably be used in basic info;
 
EditTestSetupObjectMetaData vs DataISOExportOptions</Comment>
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-20T17:51:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Edited</StatusString>
    <TimeStamp>2024-05-08T20:49:11Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment />
    <StatusString>Assigned</StatusString>
    <TimeStamp>2024-05-08T17:19:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>UNKNOWN</Status>
  </FBEvent>
  <FBEvent>
    <User>Dan McFadden</User>
    <Comment>see attached</Comment>
    <StatusString>Opened</StatusString>
    <TimeStamp>2024-05-08T17:19:00Z</TimeStamp>
    <ZendeskNumber>0</ZendeskNumber>
    <Status>Opened</Status>
  </FBEvent>
</ArrayOfFBEvent>